{*
 **********************************************************
 * Developed by: Team Theme Metro
 * Website: http://www.thememetro.com
 **********************************************************
*}
		
<div class="pre-header{if $themesettings.headersetting.preheaderbg == "1"} primary{elseif $themesettings.headersetting.preheaderbg == "2"} light{else}{/if}">
	<div class="container">
		<div class="d-flex align-items-center space-between mx-0 mx-lg-3">
			<ul class="list-unstyled list-inline d-none d-md-inline-block">
				{if $themesettings.general.whatsapp}<li class="list-inline-item"><a href="https://api.whatsapp.com/send?phone={$themesettings.general.whatsapp}" target="_blank"><i class="fab fa-whatsapp"></i></a></li>{/if}
				{if $themesettings.general.phonenumber}<li class="list-inline-item"><a href="tel:{$themesettings.general.phonenumber}"><i class="fas fa-phone-volume"></i> {$themesettings.general.phonenumber}</a></li>{/if}
				{if $themesettings.general.contactemail}<li class="list-inline-item"><a href="#"><i class="far fa-envelope"></i> {$themesettings.general.contactemail}</a></li>{/if}
			</ul>
			<ul class="list-unstyled list-inline d-inline-block d-md-none">
				{if $themesettings.general.whatsapp}
				<li class="list-inline-item">
					<span data-toggle="tooltip" data-placement="bottom" data-title="{$themesettings.general.whatsapp}">
						<a href="https://api.whatsapp.com/send?phone={$themesettings.general.whatsapp}" target="_blank"><i class="fab fa-whatsapp"></i></a>
					</span>
				</li>			
				{/if}
				{if $themesettings.general.phonenumber}
				<li class="list-inline-item">
					<span data-toggle="tooltip" data-placement="bottom" data-title="{$themesettings.general.phonenumber}">
						<a href="tel:{$themesettings.general.phonenumber}"><i class="fas fa-phone-volume"></i></a>
					</span>
				</li>
				{/if}
				{if $themesettings.general.contactemail}
				<li class="list-inline-item">
					<span data-toggle="tooltip" data-placement="bottom" data-title="{$themesettings.general.contactemail}">
						<a href="#"><i class="far fa-envelope"></i></a>	
					</span>
				</li>
				{/if}
			</ul>
			<ul class="list-unstyled list-inline">				
				{if $loggedin}
				{if count($clientAlerts) > 0}
				<li class="list-inline-item dropdown nocaret">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">
						<i class="fal fa-bell"></i>  <span class="badge up badge-primary">{$clientAlerts|count}</span>
					</a>
					<ul class="dropdown-menu dropdown-menu-right dropdown-scroll dropdown-tasks auto">
						<li class="dropdown-header">
							<i class="fal fa-info-circle"></i> ({$clientAlerts|count}) {$LANG.notifications}
						</li>
						<li id="taskScroll">
							<ul class="list-unstyled">
								{foreach $clientAlerts as $alert}
								<li>
									<a href="{$alert->getLink()}"><i class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}exclamation-triangle{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if} text-{$alert->getSeverity()}"></i> {$alert->getMessage()} {if $alert->getLinkText()}<button href="{$alert->getLink()}" class="btn btn-xs btn-{$alert->getSeverity()}">{$alert->getLinkText()}</button>{/if}</a>
								</li>
								{foreachelse}
								<li>
									<a href="javascript:;">{lang key='notificationsnone'}</a>
								</li>
								{/foreach}
							</ul>
						</li>
					</ul>
				</li>
				{/if}
				
				{if $languagechangeenabled && count($locales) > 1}
					<li class="list-inline-item lang-btn">
						<button type="button" class="btn" data-toggle="modal" data-target="#modalChooseLanguage">
							{if $languagechangeenabled && count($locales) > 1}
							<span class="d-inline-block align-middle">
								<span class="d-block iti-flag {if $activeLocale.countryCode === '001'}us{else}{$activeLocale.countryCode|lower}{/if}"></span>
							</span>
							<span class="d-none d-sm-block">{$activeLocale.localisedName}</span>{/if}{if $languagechangeenabled && count($locales) > 1 && $currencies && !$loggedin}&nbsp;|&nbsp;{/if}{if !$loggedin && $currencies}{$activeCurrency.prefix} {$activeCurrency.code}{/if}
						</button>
					</li>
				{/if}
				
				{else}
				
					{if $languagechangeenabled && count($locales) > 1 || $currencies}
						<li class="list-inline-item lang-btn">
							<button type="button" class="btn" data-toggle="modal" data-target="#modalChooseLanguage">
								{if $languagechangeenabled && count($locales) > 1}
								<span class="d-inline-block align-middle">
									<span class="d-block iti-flag {if $activeLocale.countryCode === '001'}us{else}{$activeLocale.countryCode|lower}{/if}"></span>
								</span>
								<span class="d-none d-sm-block">{$activeLocale.localisedName}</span>{/if}{if $languagechangeenabled && count($locales) > 1 && $currencies && !$loggedin}&nbsp;|&nbsp;{/if}{if !$loggedin && $currencies}{$activeCurrency.prefix} {$activeCurrency.code}{/if}
							</button>
						</li>
					{/if}
				{/if}
				
				{if $themesettings.orderform.orderopc != '1'}
					{if $templatefile != 'order'}
						<li class="list-inline-item">
							<a href="{$WEB_ROOT}/cart.php?a=view">
								<i class="fal fa-shopping-cart"></i> {if $cartitemcount > 0}<span class="badge up badge-primary">{$cartitemcount}</span>{/if}
							</a>
						</li>
					{/if}
				{/if}
				
				{if $adminMasqueradingAsClient || $adminLoggedIn}
					<li class="list-inline-item">
						<a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="" data-toggle="tooltip" data-placement="bottom" title="{if $adminMasqueradingAsClient}{$LANG.adminmasqueradingasclient} {$LANG.logoutandreturntoadminarea}{else}{$LANG.adminloggedin} {$LANG.returntoadminarea}{/if}">
							<i class="fal fa-sign-out-alt"></i>
						</a>
					</li>
				{/if}

			</ul>
		</div>
	</div>	
</div>