<div id="order-standard_cart" class="p-0 modern">
<section class="products domains-section bg-primary m-0 position-relative">
	<div class="cros-bg-shapes-right"></div>
	<div class="cros-bg-shapes-left"></div>
	<div class="container">
		<div class="domain-hero">
		<div class="h1 text-center">{lang key="secureYourDomainShort"}</div>
			<form class="form-search mw-768-strictly" action="{$WEB_ROOT}/domainchecker.php" method="post">
				<div class="serach-form input-group">
					<i class="input-group-icon fad fa-search"></i>
					<input type="text" name="domain" placeholder="{$LANG.findyourdomain}" value="" id="inputDomain" class="form-control search-query" autocapitalize="none" />
					<span class="input-group-btn">
						<input type="submit" class="btn btn-default search" value="{$LANG.search}" />
					</span>
				</div>
			</form>
		</div>
	</div>
</section>

<section class="cros-domain-page">
	<div class="main-container-nosidebar domain-pricing">
		<div class="container">
			{if $featuredTlds}
				<div class="featured-tlds-container">
					<div class="row">
						{foreach $featuredTlds as $num => $tldinfo}
							<div class="{if $featuredTlds|@count == 3}col-md-4{else if $featuredTlds|@count >= 4}col-md-3{/if} col-sm-6">
								<div class="featured-tld">
									<div class="img-container">
										<img src="{$BASE_PATH_IMG}/tld_logos/{$tldinfo.tldNoDots}.png">
									</div>
									<div class="price {$tldinfo.tldNoDots}">
										{if is_object($tldinfo.register)}
											<span class="bigger-130"><strong class="fw-500">{$tldinfo.register->toPrefixed()}</strong>{if $tldinfo.period > 1}{lang key="orderForm.shortPerYears" years={$tldinfo.period}}{else}{lang key="orderForm.shortPerYear" years=''}{/if}</span>
										{else}
											{lang key="domainregnotavailable"}
										{/if}
									</div>
								</div>
							</div>
						{/foreach}
					</div>
				</div>
			{/if}

			{include file="$template/includes/tablelist.tpl" tableName="DomainPricing" filterColumn="1" noOrdering=true}
			<script>
				jQuery(document).ready(function() {
					var table = jQuery('#tableDomainPricing').show().DataTable();
					{if $orderby == 'tld'}
						table.order(0, '{$sort}');
					{elseif $orderby == 'category'}
						table.order(1, '{$sort}');
					{/if}
					table.draw();
					jQuery('#tableLoading').hide();
				});
			</script>
			
			<div class="table-container position-relative">
				<div class="table-header">
					<div class="d-flex align-items-center mb-2 mb-md-0">
						<label>{lang key='view'}</label>
						<div class="dropdown view-filter-btns">
							<button type="button" class="btn btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<span>{lang key='domainRenewal.showAll'}</span>
							</button>
							 <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenuButton">
								<li><a href="#" class="dropdown-item"><span data-value="all">{lang key='domainRenewal.showAll'}</span></a></li>
								<div class="dropdown-divider">--</div>
								{foreach $tldCategories as $category => $count}
									<li><a href="#" class="dropdown-item"><span data-value="{$category}">{lang key="domainTldCategory.$category" defaultValue=$category}</span>&nbsp;({$count})</a></li>
								{/foreach}
							</ul>
						</div>
					</div>
					<div class="search-group">
						<input type="text" id="table-search" class="form-control" placeholder="{$LANG.tableentersearchterm}">
					</div>
				</div>
	
				<table class="datatable table table-tlds w-hidden" id="tableDomainPricing">
					<thead>
					<tr>
						<th class="text-muted">{lang key='domaintld'}</th>
						<th class="text-muted">{lang key='category'}</th>
						<th class="text-muted">{lang key='pricing.register'}</th>
						<th class="text-muted">{lang key='pricing.transfer'}</th>
						<th class="text-muted">{lang key='pricing.renewal'}</th>
						<th class="text-muted">{lang key='gracePeriod'}</th>
						<th class="text-muted">{lang key='redemptionPeriod'}</th>
					</tr>
					</thead>
					<tbody>
					{foreach $pricing as $extension => $data}
						<tr>
							<td>
								<strong class="tld-name fw-500"><span class="text-primary">.</span>{$extension}</strong>
								{if $data.group}
									<span class="tld-sale-group tld-sale-group-{$data.group}">
										{$data.group}!
									</span>
								{/if}
							</td>
							<td>
								<span class="tld-label text-muted">{lang key='category'}</span>
								<span class="categories">{$data.categories[0]}</span>
								<span class="categories w-hidden">
									{foreach $data.categories as $category}
										{$category}
									{/foreach}
								</span>
							</td>
							{foreach $data.register as $years => $price}
								<td>
									<span class="tld-label text-muted">{lang key='pricing.register'}</span>
									{if $price >= 0}
										{$price}<br>
										<small class="text-muted">{$years} {if $years > 1}{lang key="orderForm.years"}{else}{lang key="orderForm.year"}{/if}</small>
									{else}
										<small class="text-muted">{lang key="domainregnotavailable"}</small>
									{/if}
								</td>
								{break}
							{foreachelse}
								<td>-</td>
							{/foreach}
							{foreach $data.transfer as $years => $price}
								<td>
									<span class="tld-label text-muted">{lang key='pricing.transfer'}</span>
									{if $price >= 0}
										{$price}<br>
										<small class="text-muted">{$years} {if $years > 1}{lang key="orderForm.years"}{else}{lang key="orderForm.year"}{/if}</small>
									{else}
										<small class="text-muted">{lang key="domainregnotavailable"}</small>
									{/if}
								</td>
								{break}
							{foreachelse}
								<td>-</td>
							{/foreach}
							{foreach $data.renew as $years => $price}
								<td>
									<span class="tld-label text-muted">{lang key='pricing.renewal'}</span>
									{if $price >= 0}
										{$price}<br>
										<small class="text-muted">{$years} {if $years > 1}{lang key="orderForm.years"}{else}{lang key="orderForm.year"}{/if}</small>
									{else}
										<small class="text-muted">{lang key="domainregnotavailable"}</small>
									{/if}
								</td>
								{break}
							{foreachelse}
								<td>-</td>
							{/foreach}
							<td>
								<span class="tld-label text-muted">{lang key='gracePeriod'}</span>
								{if is_null($data.grace_period)}
									-
								{else}
									{$data.grace_period.days} {lang key='domainrenewalsdays'}<br>
									<small class="text-muted">({$data.grace_period.price})</small>
								{/if}
							</td>
							<td>
								<span class="tld-label text-muted">{lang key='redemptionPeriod'}</span>
								{if is_null($data.redemption_period)}
									-
								{else}
									{$data.redemption_period.days} {lang key='domainrenewalsdays'}<br>
									<small class="text-muted">({$data.redemption_period.price})</small>
								{/if}
							</td>
						</tr>
					{foreachelse}
						<tr>
							<td colspan="7">{lang key="pricing.noExtensionsDefined"}</td>
						</tr>
					{/foreach}
					</tbody>
				</table>
				<div class="text-center" id="tableLoading">
					<p><i class="fas fa-spinner fa-spin"></i> {$LANG.loading}</p>
				</div>
			</div>

		</div>
	</div>
</section>
<div>
